
/* UX17A function to code number definitions */

#define PROG_NAME "lux17"
#define VERSION "1.0.0"
#define UX_TYPE "UX17A"
#define USE_CODELIST1

#define CODENUM_UNDEF     -1
#define CODENUM_FUNC      -2
#define CODENUM_RELF      -3
#define CODENUM_NORELF    -4
#define CODENUM_SHOWONLY  -5

#define CODENUM_TV        29
#define CODENUM_VCR       28
#define CODENUM_DVD       32
#define CODENUM_CAB       34
#define CODENUM_SAT       33
#define CODENUM_CD        36

#define CODENUM_POWER     30
#define CODENUM_CHANUP    41
#define CODENUM_CHANDN    48
#define CODENUM_VOLUP     35
#define CODENUM_VOLDN     37
#define CODENUM_MUTE      40
#define CODENUM_MENU       9
#define CODENUM_UP        19
#define CODENUM_DOWN      12
#define CODENUM_RIGHT     11
#define CODENUM_LEFT      13
#define CODENUM_PLAY       6
#define CODENUM_PAUSE      0
#define CODENUM_STOP       5
#define CODENUM_RECORD     1
#define CODENUM_FASTFWD    4
#define CODENUM_REWIND     2
#define CODENUM_EXIT      24
#define CODENUM_TITLE      8
#define CODENUM_SUBTITLE   7
#define CODENUM_DISPLAY   16
#define CODENUM_RETURN    14
#define CODENUM_OK        17
#define CODENUM_AV        18
#define CODENUM_SKIPUP     3
#define CODENUM_SKIPDN    10
#define CODENUM_ENTER     15
#define CODENUM_SETUP     43
#define CODENUM_INIT      20
#define CODENUM_RELEASE   63

#define CODENUM_ZERO      20
#define CODENUM_ONE       44
#define CODENUM_TWO       47
#define CODENUM_THREE     42
#define CODENUM_FOUR      22
#define CODENUM_FIVE      27
#define CODENUM_SIX       25
#define CODENUM_SEVEN     23
#define CODENUM_EIGHT     26
#define CODENUM_NINE      21

